Issue 81502

Summary: Additional information about the publisher of an extension and release notes in the update dialog
Product: General Reporter: joachim.lingner
Component: codeAssignee: joerg.skottke
Status: CLOSED FIXED QA Contact: issues <>
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.0.0   
Target Milestone: OOo 2.4   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description joachim.lingner 2007-09-11 14:07:34 UTC
We probably want a link there which leads to the publisher. The link itself and
display string will be contained in the update information for the respective
Comment 1 joachim.lingner 2007-09-11 14:09:32 UTC
Comment 2 joachim.lingner 2007-09-18 13:14:53 UTC
I have generalized the code which determines which localized publisher name,
release notes or licence is used. That is, for all 3 items the same code is
used. That makes it necessary to test the simple-license feature again. I have
also adapted the test extensions for the license feature (Locale1.oxt -
Locale5.oxt). See the document at

Test extensions for the publisher and release notes can be found at
jl->jsk: Please ask me for details
Comment 3 pb 2007-11-02 09:47:28 UTC
pb: fixed.
Files changed:
Comment 4 joachim.lingner 2007-11-07 14:17:16 UTC
The file desktop/test/deployment/update/publisher/readme.txt contains
information about what localized publisher and release notes URLs are to be used.
Comment 5 joachim.lingner 2007-11-08 10:25:12 UTC
We need to add support for the case only one information is given, that is,
either the publisher name or the release notes.
Comment 6 joachim.lingner 2007-11-09 16:55:57 UTC
Comment 7 joerg.skottke 2007-11-14 06:49:18 UTC
Comment 8 joerg.skottke 2008-03-12 10:23:33 UTC